--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "来回游动的小鱼 20150121"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------

------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	背景= 创建图像("背景.jpg")
	
	小鱼鱼片 = 创建图像("fish.png")
	小鱼 = {} -- 创建一个小鱼数组
	
	置随机数种子()
	for n = 1,10 do

	小鱼[n] =
		{
		动画= 动画:new(小鱼鱼片,0,0,3322/44,85,0.1,0),
			x = 取随机数(70,730),-- 随机X坐标
			y = 取随机数(50,550),-- 随机Y坐标
			速度 = 1 ,
			方向 = "左"--默认方向
		}
		print(小鱼[n].x,小鱼[n].y)
	end
end
------------------------------------------

function 逻辑更新(dt)
	for n = 1,#小鱼 do --更新10条小鱼的状态
		小鱼[n].动画:更新(dt)-- 帧动画更新
		小鱼[n].x = 小鱼[n].x - 小鱼[n].速度-- 小鱼X移动位置发生变化
		if		(小鱼[n].x  < 70) then	--如果到最左边 则翻转往右边游
			小鱼[n].方向 = "右"
			小鱼[n].速度 = - 小鱼[n].速度
		end
		
		if	(小鱼[n].x  > 730) then	-- 如果到最右边 则翻转往左边游
			小鱼[n].方向 = "左"
			小鱼[n].速度 = - 小鱼[n].速度
		end
	end
end
------------------------------------------

function 画面显示()
	绘制(背景)
	for  n = 1,#小鱼 do
		if(小鱼[n].方向 == "左") then
			小鱼[n].动画:显示(小鱼[n].x,小鱼[n].y,0)
			else
			小鱼[n].动画:显示(小鱼[n].x,小鱼[n].y,0,-1,1)
		end
	end

end
------------------------------------------

function 键盘按下(key)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止()
	end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------